import { createApp } from 'vue'
import './assets/style/main.scss'
import 'amfe-flexible'
import App from './App.vue'
import router from './router/index.js'
import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
import api from '@/api/index.js'
const pinia = createPinia()
pinia.use(piniaPluginPersistedstate)

const myApp = createApp(App)
myApp.config.globalProperties.$api = api
myApp.use(pinia).use(router).mount('#app')
